<div *ngIf="dataSource" class="mat-elevation-z8">
  <table mat-table [dataSource]="dataSource">

    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef> No. </th>
      <td mat-cell *matCellDef="let author"> {{author.id}} </td>
    </ng-container>

    <ng-container matColumnDef="firstName">
      <th mat-header-cell *matHeaderCellDef> First name </th>
      <td mat-cell *matCellDef="let author"> {{author.firstName}} </td>
    </ng-container>

    <ng-container matColumnDef="lastName">
      <th mat-header-cell *matHeaderCellDef> Name </th>
      <td mat-cell *matCellDef="let author"> {{author.lastName}} </td>
    </ng-container>

    <ng-container matColumnDef="balance">
      <th mat-header-cell *matHeaderCellDef> Balance </th>
      <td mat-cell *matCellDef="let author"> {{author.balance}} </td>
    </ng-container>

    <ng-container matColumnDef="edit">
      <th mat-header-cell *matHeaderCellDef></th>
      <td mat-cell *matCellDef="let author"><mat-icon color="primary" routerLink="/author/{{author.id}}">edit</mat-icon></td>
    </ng-container>

    <ng-container matColumnDef="delete">
      <th mat-header-cell *matHeaderCellDef></th>
      <td mat-cell *matCellDef="let author"><mat-icon color="warn" (click)="deleteAuthor(author)">delete</mat-icon></td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr class="row" mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

  </table>
  <mat-paginator pageSize="5" hidePageSize showFirstLastButtons></mat-paginator>
</div>
